# frozen_string_literal: true

lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require "dkr/version"

Gem::Specification.new do |spec|
  spec.name = "dkr"
  spec.version = Dkr::VERSION
  spec.authors = ["Leonardo Lobo Lima"]
  spec.email = ["dleemoo@gmail.com"]

  spec.summary = "Docker utility"
  spec.description = spec.summary
  spec.homepage = "https://github.com/dleemoo/dkr"
  spec.license = "MIT"

  spec.bindir = "exe"
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  spec.required_ruby_version = ">= 2.6.3"
  spec.metadata["allowed_push_host"] = "https://rubygems.org"
  spec.files = `git ls-files -z`.split("\x0")
    .reject { |f| f.match(%r{^(test|spec|features|bin)/}) }

  # spec.add_runtime_dependency "concurrent-ruby", "~> 1.0"

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 12.3"
  spec.add_development_dependency "rspec", "~> 3.8"
end
